function AISMN_Sway::OnEnter(%this,%obj)
{
   GetThisObject(%obj).playThread( 0, "drunksway");
   return;
}

function AISMN_Sway::OnExit(%this,%obj)
{
   RestoreCharacterOutfit(%obj);
   return;
}

function AISMN_Sway::Update(%this,%obj)
{   
   if(TimeInNode(%obj) >= 5.0)
      ReturnValue(%obj,0);
   else
      ReturnValue(%obj,-1);
   return;
}